#include <rules.h>
#include <c_string.hpp>
#include <iostream>
#include <fstream>
#include <vector>

using namespace std;


//----------------------------
enum E_VSS_COMMAND_RESULT{
   VSS_OK,                    //command successful
   VSS_NOT_INSTALLED,         //VSS not installed on the system
   VSS_FAILED_TO_RUN,         //coundn't run VSS program
   VSS_RETURN_ERROR,          //non-zero return code from calling the command
};

//----------------------------
// Perform VSS command.
E_VSS_COMMAND_RESULT VSSCommand(const char *in_cmdline);

//----------------------------
// Create specified directory tree.
bool CreateDirectoryTree(const char *cp);

//----------------------------
