#include <rules.h>
#include <cmdline.h>


//----------------------------


class C_command_line: public C_command_line_base{
   bool ShowHelp(const char **cl);
   bool Stop(const char **cl){
      *cl += strlen(*cl);
      return true;
   }
   bool Sleep(const char**);
   bool ReadLang(const char**);
   virtual const S_scan_data *GetScanData() const;
public:
   int res_x, res_y;          //override resolution from setup (0 = invalid)
   int pos_x, pos_y;          //override position from setup (0x80000000 = invalid)
#ifdef EDITOR
   C_string cmdline_model;
#endif
#if defined _DEBUG || defined EDITOR
   C_string cmdline_mission;
#endif
   bool debug_use_release_dlls;
   C_string profile_name;
   bool debug_direct_trans;   //force direct transformation
   bool dump_graph_caps, dump_sound_caps; //write caps to log file

   C_command_line();
};


//----------------------------
