#ifndef __INSANITY_SC_H_
#define __INSANITY_SC_H_

#include <c_string.hpp>

//----------------------------
// Get path to source control program, and current database.
bool SCGetPath(C_string &vss_exe, C_string &vss_database);

//----------------------------
// Get file.
bool SCGetFile(const char *project, const char *filename);

//----------------------------
// Check out file.
bool SCCheckOutFile(const char *project, const char *filename);

//----------------------------
// Check in file.
bool SCCheckInFile(const char *project, const char *filename, bool keep_checked_out);

//----------------------------

#endif

