#ifndef __RULES_H
#define __RULES_H
#pragma once

/*----------------------------
   General types required for compilation of Insanity(tm) group of libraries.

   Copyright (c) 1998 Michal Bacik
----------------------------*/

typedef unsigned char byte;
typedef signed char schar;
typedef unsigned short word;
typedef unsigned long dword;
typedef unsigned long ulong;

#ifndef _SIZE_T_DEFINED_
#define _SIZE_T_DEFINED_
typedef unsigned size_t;
#endif

#ifndef NULL
 #define NULL 0
#endif

//----------------------------
                              //min & max

template<class T> const T &Max(const T &t1, const T &t2){ return t1>t2 ? t1 : t2; }
template<class T> const T &Min(const T &t1, const T &t2){ return t1<t2 ? t1 : t2; }

#endif
