#include <dta_read.h>


//----------------------------
// Load disk file into a buffer.
// The return value is number of bytes read, or -1 if some error
// occured.
int Load(const char *name, void *addy, dword size){

   int h = dtaOpen((char*)name);
   if(h == -1)
      return -1;
   size_t file_len = dtaSeek(h, 0, DTA_SEEK_END);
   dtaSeek(h, 0, DTA_SEEK_SET);
   size = Min(file_len, (size_t)size);
   size_t read_len = dtaRead(h, addy, size);
   dtaClose(h);
   return read_len;
}

//----------------------------

