#include <windows.h>
#include <rules.h>

//----------------------------
// Save data from a buffer to disk.
// The return value is number of bytes written, or -1 if some error
// occured.
int Save(const char *name, const void *buf, dword size){

   HANDLE h;
   h = CreateFile(name, GENERIC_WRITE, 0, NULL, CREATE_ALWAYS,
      FILE_ATTRIBUTE_NORMAL, NULL);
   if(h==INVALID_HANDLE_VALUE)
      return -1;
   ulong wb;
   int st = WriteFile(h, buf, size, &wb, NULL);
   CloseHandle(h);
   return st ? wb : -1;
}

//----------------------------

