

; Zero. half and one
#define CV_ZERO c0.x
#define CV_HALF c0.y
#define CV_ONE  c0.z
#define CV_TWO  c0.w

; vector(1, 1, 1, 0)
#define CV_1110 c0.zzzx

; vector(0, 0, 0, 1)
#define CV_0001 c0.xxxz

#define CV_HALF_NEGHALF c8.xy   ; special value: [.5f, -.5f], used with env mapping

; value used for debugging
#define CV_DEBUG c7

; Transposed transformation matrix,
; usually it is world*view*projection,
; but some algos may use different
#define CV_MAT_TRANSFORM c1
#define CV_MAT_TRANSFORM0_0 c1
#define CV_MAT_TRANSFORM0_1 c2
#define CV_MAT_TRANSFORM0_2 c3
#define CV_MAT_TRANSFORM0_3 c4

// Fog parameters
#define CV_FOG_START c5.x
#define CV_FOG_END c5.y
#define CV_FOG_R_RANGE c5.z
                              ;emmisive + ambient
#define CV_BASE_COLOR c6

; base for matrix palette skinning (3 slots per joint)
#define CV_MAT_PALETTE_BASE 9

; base for procedural morphing (1 slot per region)
#define CV_MORPH_REGIONS_BASE 9

; matrix for texture transformation (shadow projection)
#define CV_MAT_TEXTURE 9

; uv shifting constants
#define CV_UV_SHIFT c9

// We always want the position in v0 and any texture0 coordinate in v1.
// This is to ensure the gloss pass can map to the vertex stream.  It's also a nice
// way to show how you can mix and match fixed vs variable types.
#define FIXED_POSITION v0
#define FIXED_TEXTURE0 v1.xy
#define FIXED_NORMAL v2
#define FIXED_DIFFUSE v2
#define FIXED_WEIGHT v3
#define FIXED_ALPHA v3.x
#define FIXED_TEXTURE1 v1.zw  ;re-use the same input reg as for uv0, but the second half
#define FIXED_INDICIES v3
#define FIXED_SPECULAR v5

; x = weight, y = index0 [, z = index1 [, w = index2] ]
#define FIXED_WEIGHTED_INDICIES v3  

;----------------------------
