#include "all.h"
#include "common.h"

//----------------------------

//#define SCREENSHOT_TYPE "pcx"
#define SCREENSHOT_TYPE "png"

//----------------------------

class C_edit_ScreenShot: public C_editor_item{
   virtual const char *GetName() const{ return "ScreenShot"; }
public:
   virtual bool Init(){
      ed->AddShortcut(this, 1000, "%0 &File\\%75 &Save shot\tCtrl+F12", K_F12, SKEY_CTRL);
      return true;
   }
   //virtual void Close(){ }
   //virtual void Tick(byte skeys, int time, int mouse_rx, int mouse_ry, int mouse_rz, byte mouse_butt){}
   virtual dword Action(int id, void *context){
      switch(id){
      case 1000:
         {
            C_string name;
            {
               char comp_name[128];
               dword dw = 128;
               GetComputerName(comp_name, &dw);
               name = comp_name;
            }
                              //make unique number
            {
               for(int i=0; i<1000; i++){
                  C_fstring s("%s [%.3i]."SCREENSHOT_TYPE, (const char*)name, i);
                  int h = dtaOpen(s);
                  if(h == -1){
                     name = s;
                     break;
                  }else{
                     dtaClose(h);
                  }
               }
            }
            LPIImage bb_img = ed->GetIGraph()->CreateBackbufferCopy(true);
            if(bb_img){
               C_cache ck;
               ck.open(name, CACHE_WRITE);
               if(ck.good()){
                  bb_img->SaveShot(&ck, SCREENSHOT_TYPE);
                  ck.close();
               }
               bb_img->Release();
            }

            ed->Message(C_fstring("screen saved \"%s\"", (const char*)name));
         }
         break;
      }
      return 0;
   }
   //virtual void Render(){}
   //virtual bool LoadState(class C_chunk*){ return false; }
   //virtual bool SaveState(class C_chunk*) const{ return false; }
};

//----------------------------

void CreateScreenShot(LPC_editor ed){
   LPC_editor_item ei = new C_edit_ScreenShot;
   ed->InstallPlugin(ei);
   ei->Release();
}

//----------------------------
