#include <rules.h>
#include <c_string.hpp>
#include <c_chunk.h>

typedef word CK_TYPE;

//----------------------------
                              //H&D binary file chunks

enum E_CHUNKTYPE{
   CT_PARTICLE =0x0027,       //table
   CT_LIGHT    =0x0028,       //table
   CT_SOUND    =0x0029,       //table
      //vector
   CT_TABLE    =0x0040,
      //C_tabble::Save(...)
   CT_TABLE_EX =0x0041,
      //short tab_id
      //C_tabble::Save(...)

//----------------------------
            CT_MODEL_FLAGS = 0x2013, //old style, used only during import
               //word flags [optional]
   CT_MODEL_ON_MAP = 0x2014,
      //string

                              //game cam
         CT_GC_MODE_DIST   =0x3103,
         CT_GC_MODE_ANGLE,

                              //modifications
         CT_LIGHTCOLOR  =0x4030,
         CT_LIGHTPOWER  =0x4031,

      CT_VOLUME_BOXES   =0x5000,
         CT_VOLUME      =0x5010,
            //word shape (FRAME_???)
            //CT_NAME (of owner)
                              //all:
            CT_VOL_TYPE    =0x5020,
            CT_VOL_MAT_ID  =0x5021,
            //CT_VOL_HTYPE   =0x5022,
            CT_VOL_FLAGS   =0x5023,
            CT_VOL_USER_DATA  =0x5024,

      CT_VOLUME_DATA =0x5100,
         //CT_VOLUME
         //CT_NAME
         //CT_VOL_MAT_ID
         //CT_VOL_FLAGS
         //CT_VOL_USER_DATA

      CT_CHECKPOINTS    =0x6000,
         CT_CPOINT      =0x6010,
            //CT_NAME         [optional]
            CT_CP_CONNECTION  =0x6020,
               //CT_NAME      [optional - old style]
               CT_CP_CON_ID   =0x6022,
                  //word
               CT_CP_CONTYPE  =0x6021, //dword flags
               CT_CP_CONEXPENCE  =0x6023, //float
            CT_CP_TYPE  =0x6030,
               //word
      CT_ACTOR          =0x7000,
         //word type
         //CT_NAME model_name
         //[CT_TABLE | CT_TABLE_EX]

      CT_SELECTION      =0xf000,
         //CT_NAME
//----------------------------
   CT_PROFILE   =0x4753,      //player's profile
      CT_PROF_POSITIONS  =0x1000,
         //word[4] = max_camp, max_miss, curr_camp, curr_miss
      CT_PROF_DIFFICULTY = 0x1008,
         //byte S_game_profile::E_DIFFICULTY
      CT_PROF_MISSION_STATE   =0x1010,
         CT_PROF_BASE_SOLDIERS = 0x1020,
            //bool[40]
         CT_PROF_TEAM_8 = 0x1030,
            //short[8]
         CT_PROF_TEAM_4 = 0x1035,
            //short id
            //CT_PROF_ITEM[?]
         CT_PROF_ITEM = 0x1040,
            //word id, word amount
         CT_PROF_SAVE_GAME = 1049,
            CT_SAVE_GAME_VERSION = 0x0000,   //word
            //dword crc
         CT_PROF_MISSION_CRC = 1045, 
            //CT_SAVE_GAME
      CT_PROF_NAME = 0x1050,
         //string
      CT_ADDON_NAME = 0x1060,
         //string
      CT_ADDON_MISSION = 0x1061,
         //word
      CT_ADDON_CRC = 0x1062,
         //word
//----------------------------
   CT_SAVE_GAME   = 0x4755,   //saved game

      CT_SG_ACTOR = 0x1000,
         //CT_NAME
         //byte E_ACTOR_TYPE
                              //optional block for any actor:
            CT_SG_MODEL = 0x1010,
               //CT_MODELFILENAME
               //CT_POSITION
               //CT_QUATERNION
               CT_SG_LINK = 0x1020,
                  //string
                              //further follow actor-dependent data
            /*
            CT_SG_HUMAN = 0x1030,
            CT_SG_PLAYER = 0x1040,
            CT_SG_ENEMY = 0x1050,
            */
      CT_SG_CAMERA = 0x2000,
      CT_SG_STATS = 0x3000,
         //dword[4] ammo, hits, enemies, civils
};

//----------------------------
