#ifndef __DEBUG_H_
#define __DEBUG_H_

#include <rules.h>

#ifdef _DEBUG
# pragma comment (lib,"base_lib_d")
#else
# pragma comment (lib,"base_lib")
#endif

//----------------------------
// Setup led flashing (on keyboard).
// 'data' specifies new bits, mask specifies mask of bits to modify.
// Only 3 lower bits are significant.
void Led(dword data, dword mask = 0xffffffff);
void LedFlash(int indx = 0, int count = 100);

void Beep();

//----------------------------
#endif
