#include <rules.h>
#ifndef __PROFILE_H
#define __PROFILE_H

//----------------------------
// Profiler functions.
// Copyright (c) 2002 Lonely Cat Games
//----------------------------

                              //simple profiling
                              // returns time between calling
                              // BegProf and EndProf
void BegProf();
float EndProf();

                              //block profiling
void BegProfBlock();          //begin profiling
void EndProfBlock();          //stop profiling
float GetProfBlock();         //get averaged sum of profile time

#define PR_BEG BegProfBlock()
#define PR_END EndProfBlock()
#define PR_GET GetProfBlock()

#endif //__PROFILE_H