#include <advanced.h>
#include <dta_read.h>

//----------------------------
// Return the size of a file, in bytes.
// If file can't be opened, the return value is -1.
int GetFileSize(const char *name){

   int h = dtaOpen(name);
   if(h==-1)
      return -1;
   int len = dtaSeek(h, 0, DTA_SEEK_END);
   dtaClose(h);
   return len;
}

//----------------------------

bool GetFileTime(const char *name, dword time[2]){

   int h = dtaOpen(name);
   if(h==-1)
      return false;
   bool b = dtaGetTime(h, time);
   dtaClose(h);
   return b;
}

//----------------------------

