#include "frame.h"

//----------------------------

class I3D_dummy: public I3D_frame{
   I3D_bbox bbox;
   friend I3D_driver;        //creation

   I3D_dummy(PI3D_driver);
   ~I3D_dummy();
public:
   I3D_dummy &operator =(const I3D_dummy&);
                              //overridden virtual functions
   I3DMETHOD(Duplicate)(CPI3D_frame);
   I3DMETHOD(DebugDraw)(PI3D_scene) const;

   inline const I3D_bbox &GetBBox1() const{ return bbox; }
public:
   I3DMETHOD_(dword,Release)(){ if(--ref) return ref; delete this; return 0; }

   I3DMETHOD_(const I3D_bbox*,GetBBox)() const{ return &bbox; }
   I3DMETHOD(SetBBox)(const I3D_bbox &bb){
      bbox = bb;
      return I3D_OK;
   }
};

//----------------------------