#include "all.h"
#include "common.h"

//----------------------------

class C_edit_Exit: public C_editor_item{
   virtual const char *GetName() const{ return "Exit"; }
   bool b_exit;

public:
   virtual bool Init(){
      ed->AddShortcut(this, 1000, "%0 &File\\%100 %i E&xit\tShit+Esc", K_ESC, SKEY_SHIFT);

      b_exit = false;
      return true;
   }
   virtual void Tick(byte skeys, int time, int mouse_rx, int mouse_ry, int mouse_rz, byte mouse_butt){}
   virtual dword Action(int id, void *context){

      switch(id){
      case 1000:
         b_exit = true;
         break;

      case E_EXIT_GET_STATE: return b_exit;

      case E_EXIT_SET_STATE:
         b_exit = (bool)context;
         break;
      }
      return 0;
   }
};

//----------------------------

void CreateExit(LPC_editor ed){
   LPC_editor_item ei = new C_edit_Exit;
   ed->InstallPlugin(ei);
   ei->Release();
}

//----------------------------
