#include <rules.h>
#include <string.h>

//----------------------------

int GetAscii(char k1, bool shift){

   byte k = k1;
   byte *b;
   if(k>=0xba && k<=0xde){
                                       //special conversion
      static const byte spec_codes[]={
         0xba, 0xbb, 0xbc, 0xbd, 0xbe, 0xbf, 0xc0, 0xde
      };
      static const byte spec_trans[][2]={
         ';', ':',
         '=', '+',
         ',', '<',
         '-', '_',
         '.', '>',
         '/', '?',
         '`', '~',
         '\'','"'
      };
      b = (byte*)memchr(spec_codes, k, sizeof(spec_codes));
      if(b) return spec_trans[b-spec_codes][shift];
   }
   if(k==0x20 || k<0x10) return k;
   if(k<0x30) return 0;
   if(k>=0x60 && k<=0xA0) return 0;
   k &= 0x7f;
                                       //lower case
   if(k>='A' && k<='Z') k += -'A' + 'a';
   if(k>='a' && k<='z') return shift ? (k+'A'-'a') : k;
   if(!shift) return k;
   static const byte spec_codes1[]={
      '1', '2', '3', '4', '5', '6', '7', '8', '9', '0',
      '\\', '[', ']'
   };
   static const byte spec_trans1[]={
      '!', '@', '#', '$', '%', '^', '&', '*', '(', ')',
      '|', '{', '}'
   };
   b = (byte*)memchr(spec_codes1, k, sizeof(spec_codes1));
   if(b) return spec_trans1[b-spec_codes1];
   return k;
}

//----------------------------

