#define NO_STARTUP
#include "../all.h"
#include <igraph2.h>



static const char *lib_name[2] = {
   "igraph2.dll",
   "igraph2d.dll"
};

typedef LPIGraph __stdcall t_IGraphCreate(LPIG_INIT);

//----------------------------

LPIGraph I2DAPI IGraphCreate(LPIG_INIT init_data, bool use_debug_version){

   const char *dll_filename = lib_name[use_debug_version];

   HINSTANCE hi = LoadLibrary(dll_filename);
   if(!hi)
      return NULL;

   FARPROC fp = GetProcAddress(hi, "_IGraphCreate@4");
   if(!fp)
      return NULL;
   t_IGraphCreate *p_Create = (t_IGraphCreate*)fp;

   return (*p_Create)(init_data);
}

//----------------------------