#include <windows.h>
#include <inet2.h>


static const char *lib_name[2] = {
   "inet2.dll",
   "inet2d.dll"
};

typedef PI_net __stdcall t_InetCreate(PINET_INIT);

//----------------------------

PI_net INETAPI InetCreate(INET_INIT *init_data, bool use_debug_version){

   const char *dll_filename = lib_name[use_debug_version];

   HINSTANCE hi = LoadLibrary(dll_filename);
   if(!hi)
      return NULL;

   FARPROC fp = GetProcAddress(hi, "_InetCreate@4");
   if(!fp)
      return NULL;
   t_InetCreate *p_Create = (t_InetCreate*)fp;

   return (*p_Create)(init_data);
}

//----------------------------
