
/**********************************************************************
 *<
   FILE: 3dsexp.h

   DESCRIPTION:  .3DS file export module header file

   CREATED BY: Tom Hudson

   HISTORY: created 26 December 1994

 *>   Copyright (c) 1994, All Rights Reserved.
 **********************************************************************/

#pragma pack(1)

#include "..\common\common.h"
#pragma pack()


struct S_dump_context{
   class C_SceneEnumProc *scene_enum;
   class C_ObjectList *objects;
   class C_MeshMtlList *materials;
   class C_chunk *ck;

   Interface *i;
};

// 3DS face edge vis flags
#define ABLINE (1<<2)
#define BCLINE (1<<1)
#define CALINE 1

#define ERROR_MSG_MAX_LEN   128
#define NeedsKeys(nkeys)    ((nkeys) > 0 || (nkeys) == NOT_KEYFRAMEABLE)
#define KEYS_POS          (1<<1)
#define KEYS_ROT          (1<<2)
#define KEYS_SCL          (1<<3)

//----------------------------
